from django.contrib import admin
from .models import SearchSession, Creator


@admin.register(SearchSession)
class SearchSessionAdmin(admin.ModelAdmin):
    list_display = ('session_number', 'creator_count', 'shoppable_creators', 
                  'avg_followers', 'avg_gmv', 'avg_video_views', 'date_created')
    search_fields = ('session_number',)
    list_filter = ('date_created',)


@admin.register(Creator)
class CreatorAdmin(admin.ModelAdmin):
    list_display = ('name', 'category', 'ecommerce_level', 'exposure_level', 
                  'followers', 'gmv', 'avg_video_views', 'has_ecommerce')
    search_fields = ('name', 'category')
    list_filter = ('category', 'ecommerce_level', 'exposure_level', 'has_ecommerce')
